import { Routes } from '@angular/router';

export const routes: Routes = [
  { 
    path: '', 
    redirectTo: '/generator', 
    pathMatch: 'full' 
  },
  {
    path: 'generator',
    loadComponent: () => import('./components/password-generator/password-generator.component')
      .then(m => m.PasswordGeneratorComponent)
  },
  {
    path: 'passwords',
    loadComponent: () => import('./components/password-list/password-list.component')
      .then(m => m.PasswordListComponent),
    canActivate: [() => import('./guards/auth.guard').then(m => m.AuthGuard)]
  },
  {
    path: 'login',
    loadComponent: () => import('./components/login/login.component')
      .then(m => m.LoginComponent)
  },
  {
    path: 'register',
    loadComponent: () => import('./components/register/register.component')
      .then(m => m.RegisterComponent)
  },
  { 
    path: '**', 
    redirectTo: '/generator' 
  }
];
